#include <iostream>

#include "kekengine.h"
#include <GL/glew.h>
#include <GLFW/glfw3.h>

using namespace kek;

int main(int argc, char **argv) {
	Engine::init();

	MemoryBuffer *buf = Resource::loadResource("object/sphere/Sphere.obj");
	Mesh *mesh = ObjParser::parse(buf);
	delete buf;

	GameObject *test = new GameObject();
	test->addMesh(mesh);

	Scene *scene = new Scene();
	scene->addObject(test);
	Engine::setActiveScene(scene);

	Engine::start();
}
