#include "gameobject.h"

namespace kek {

GameObject::GameObject() {

}

GameObject::~GameObject() {
	for(Mesh *mesh : meshes) {
		delete mesh;
	}
}

void GameObject::addMesh(Mesh *mesh) {
	meshes.push_back(mesh);
}

void GameObject::draw(Shader *shader) {
	for(Mesh *mesh : meshes) {
		mesh->draw(shader);
	}
}

}
